/* 
    File: ListPlaylists.js
    Version: 1.0 

    Copyright  2005  Tea Vui Huang, All Rights Reserved 
*/ 

var   MSSFolder = WScript.Arguments(0);
var	iTunesApp = WScript.CreateObject("iTunes.Application");
var	mainLibrarySource = iTunesApp.LibrarySource;
var	playlists = mainLibrarySource.Playlists;
var	currPlaylist = playlists.ItemByName(MSSFolder);
if (currPlaylist == undefined) 
{
	WScript.Echo("Play list '" & MSSFolder & "' does not exist.");
	iTunesApp.CreatePlaylist(MSSFolder);
	WScript.Echo("Play list '" & MSSFolder & "' created.");
}
else
{
	var	currTracks   = currPlaylist.Tracks;
	var	numPlaylists = currTracks.Count;
	var	i=1;

	while (numPlaylists != 0)
	{
		var currTrack = currTracks.Item(i);
		WScript.Echo(currTrack.Artist);
		WScript.Echo(currTrack.Album);
		WScript.Echo(currTrack.Location);
		numPlaylists--;
		i++;
	}
}
